
package ejb30.inherit.entity;

import javax.persistence.*;
import java.util.Collection;
@Entity
@Inheritance(strategy=InheritanceType.JOINED)
public class PhoneAgent extends BaseAgent
    implements java.io.Serializable{

    private String tollPhone;
    private String localPhone;
    private PhoneAgentPK phoneAgentPK;

    public PhoneAgent() {
    }

    @EmbeddedId 
    public PhoneAgentPK getPhoneAgentPK() {
          return phoneAgentPK;
    }
    
    public void setPhoneAgentPK(PhoneAgentPK v) {
          this.phoneAgentPK = v;
    }
 
    @Basic
    @Column(length=55)
    public String getTollPhone() {
        return tollPhone;
    } public void setTollPhone(String v) {
        this.tollPhone = v;
    }

    @Basic
    @Column(length=55)
    public String getLocalPhone() {
        return localPhone;
    }
    public void setLocalPhone(String v) {
        this.localPhone = v;
    }

    public void ping() {
	System.out.println("[PhoneSupport] ping()");
    }

}








