/*
 * VIPClient.java
 */

package ejb30.inherit.entity;

import javax.persistence.*;
import java.util.Collection;

@Entity
public class VIPClient extends DummyClient {

    private boolean hasSaveBox;
    private VIPClientAgent vAgent;

    public VIPClient() {
    }

    public boolean getHasSaveBox() {
        return hasSaveBox;
    }

    public void setHasSaveBox(boolean hasSaveBox) {
        this.hasSaveBox = hasSaveBox;
    }

    @ManyToOne
    @JoinColumns ({
        @JoinColumn(name="FK_VA1", referencedColumnName="PK1I"),
        @JoinColumn(name="FK_VA2", referencedColumnName="PK2S")
    })
    public VIPClientAgent getVAgent() {
        return vAgent;
    }

    public void setVAgent(VIPClientAgent v) {
        vAgent = v;
    }
}














