package ejb30.inherit.entity;

import javax.persistence.*;
import java.util.Collection;

@Entity
@IdClass(ejb30.inherit.entity.VIPClientAgentPK.class)
public class VIPClientAgent extends BaseAgent
    implements java.io.Serializable{

    private Integer pk1i;
    private String pk2s;
    private String officePhone;
    private String cellPhone;
    private Collection<VIPClient> vClients;

    public VIPClientAgent() {
    }

    @Id
    public Integer getPk1i() {
	return pk1i;
    }
    public void setPk1i(Integer v) {
	
        this.pk1i = v;
    }

    @Id
    @Column(length=55)
    public String getPk2s() {
	return pk2s;
    }
    public void setPk2s(String v) {
        this.pk2s = v;
    }

    @Basic
    @Column(length=55)
    public String getOfficePhone() {
        return officePhone;
    } public void setOfficePhone(String v) {
        this.officePhone = v;
    }

    @Basic
    @Column(length=55)
    public String getCellPhone() {
        return cellPhone;
    }
    public void setCellPhone(String v) {
        this.cellPhone = v;
    }


    @OneToMany(mappedBy="vAgent")
    public Collection<VIPClient> getVClients() {
        return vClients;
    }

    public void setVClients(Collection<VIPClient> v) {
        this.vClients = v;
    }


}
