package ejb30.inherit.session;

import javax.ejb.Remote;
import java.util.*;
import ejb30.inherit.entity.*;

@Remote
public interface SessionRemote{

  public Account findAccount(String acctNum) throws Exception;    
  public DummyClient findClient(String clientId) throws Exception;    
  public BaseInfo findInfo(String infoId) throws Exception;    

  public boolean persistRemote(Object obj) throws Exception;
  public boolean mergeRemote(Object obj) throws Exception;
  public boolean removeRemote(Object obj) throws Exception;

  public List nativeQuery(String sqlStr) throws Exception;

  public List jpaqlFindByStr(String sqlStr, String p1, String v1) throws Exception;
  public List jpaqlFindByEnum(String sqlStr, String p1, Account.Status v1) throws Exception;
  public int jpaqlUpdateStr(String sqlStr, String p1, String v1, 
		       String p2, String v2) throws Exception;
  public int jpaqlUpdateEnum(String sqlStr, String p1, Account.Status v1, 
			String p2, String v2) throws Exception;

}
